## ros-indigo-turtlebot-apps 2.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_apps)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-turtlebot-apps (2.3.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-indigo-turtlebot-apps (2.3.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 29 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-apps (2.3.5-0trusty) trusty; urgency=high

  * removing unnecessary dependencies
  * Contributors: Tully Foote

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-apps (2.3.4-0trusty) trusty; urgency=high

  * disabling turtlebot_panorama due to it not compiling
  * Contributors: Tully Foote

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-apps (2.3.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-turtlebot-apps (2.3.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 21 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot-apps (2.3.1-0trusty) trusty; urgency=high

  * remove turtlebot_telop from meta package
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-apps (2.3.0-0trusty) trusty; urgency=high

  * turtlebot_core_apps -> turtlebot_rapps, #86 <https://github.com/turtlebot/turtlebot_apps/issues/86>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-apps (2.2.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-turtlebot-apps (2.2.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 27 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-apps (2.2.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Thu, 26 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-apps (2.2.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-apps (2.2.0-0trusty) trusty; urgency=high

  * Changelogs at package level.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-apps (2.1.1-0trusty) trusty; urgency=high

  * Remove our beloved chirp app. Don't worry; it's now included on rocon_apps

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 09 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-apps (2.1.0-0trusty) trusty; urgency=high

  * Catkinized
  * Needs to specify any individual panorama packages. Release complains if not

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 19 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-apps
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@rnd.yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/turtlebot_apps
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-turtlebot-actions, ros-indigo-turtlebot-calibration, ros-indigo-turtlebot-follower, ros-indigo-turtlebot-navigation, ros-indigo-turtlebot-rapps
Description: turtlebot_apps is a group of simple demos and exmaples to run on your TurtleBot to help you get started with ROS and TurtleBot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-apps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
